Home FAQ GG24: Gnome 2.24 su Gentoo!
GG24: Gnome 2.24 su Gentoo! PDF Stampa E-mail
GNU/Linux - Gentoo
Scritto da E. Mottola   
Mercoledì 15 Ottobre 2008 22:57

E' già pronta la release beta di Ubuntu 8.10 che verrà rilasciata il 30 ottobre con Gnome 2.24, kernel 2.6.27 e tanto altro. Dato che le novità di Gnome 2.24 non sono poche...Ubuntu sì e Gentoo no? Manco per idea! Allora ecco tutto quanto bisogna smascherare per compilare Gnome 2.24, evitando così di ripetere questa operazione pacchetto per pacchetto (come il sottoscritto).

Ovviamente bisogna aggiungere quanto segue a /etc/portage/package.keywords:

Per avere a disposizione tutti gli ebuild bisogna abilitare l'overlay di gnome

# emerge layman && layman -a gnome

Prima di procedere bisogna assicurarsi di avere portage e relativo albero aggiornato

# emerge --sync && emerge portage

Ovviamente se si utilizza un architettura x86 bisognerà sostituire ~x86 a ~amd64 tenendo presente che alcuni pacchetti da smascherare su amd64 potrebbero essere già marcate come testate su x86, ma l'eventuale keywors in più non farà sicuramente del male.

=gnome-base/gnome-2.24.0 ~amd64
=gnome-base/gnome-panel-2.24.0 ~amd64
=gnome-base/gnome-menus-2.24.0 ~amd64
=gnome-base/gnome-keyring-2.24.0 ~amd64
=gnome-base/gnome-desktop-2.24.0 ~amd64
=gnome-base/gnome-applets-2.24.0.1 ~amd64
=gnome-base/gnome-settings-daemon-2.24.0 ~amd64
=gnome-base/gnome-session-2.24.0-r1 ~amd64
=gnome-base/gnome-vfs-2.24.0 ~amd64
=gnome-base/gnome-volume-manager-2.24.0 ~amd64
=gnome-base/libgnome-2.24.1 ~amd64
=gnome-base/libgnomekbd-2.24.0 ~amd64
=gnome-base/libgnomeui-2.24.0 ~amd64
=media-video/totem-2.24.2 ~amd64
=dev-python/totem-python-2.22.0  ~amd64
=dev-libs/totem-pl-parser-2.24.1 ~amd64
=gnome-extra/gnome-main-menu-9999 ~amd64
=gnome-extra/gnome-games-2.24.0 ~amd64
=gnome-extra/gnome-media-2.24.0.1 ~amd64
=gnome-extra/gnome-utils-2.24.0 ~amd64
=gnome-media-python-2.22.0 ~amd64
=x11-themes/gnome-icon-theme-2.24.0 ~amd64
=x11-themes/gnome-backgrounds-2.24.0 ~amd64
=x11-terms/gnome-terminal-2.24.0 ~amd64
=dev-libs/libgweather-2.24.0 ~amd64
=gnome-base/gnome-control-center-2.24.0.1 ~amd64
=gnome-extra/mousetweaks-2.24.0 ~amd64
=gnome-extra/gcalctool-5.24.0 ~amd64
=gnome-base/gconf-2.24.0 ~amd64
=gnome-extra/gconf-editor-2.24.0.1 ~amd64
=app-accessibility/gnome-speech-0.4.21 ~amd64
=dev-libs/glib-2.18.1 ~amd64
=media-sound/esound-0.2.40 ~amd64
=app-accessibility/gok-2.24.0 ~amd64
=app-text/evince-2.24.0 ~amd64
=net-libs/libsoup-2.24.0.1 ~amd64
=gnome-extra/zenity-2.24.0 ~amd64
=gnome-extra/gconf-editor-2.24.0.1 ~amd64
=app-accessibility/gnome-speech-0.4.21 ~amd64
=dev-libs/glib-2.18.1 ~amd64
=media-sound/esound-0.2.40 ~amd64
=app-accessibility/gok-2.24.0 ~amd64
=app-text/evince-2.24.0 ~amd64
=net-libs/libsoup-2.24.0.1 ~amd64
=gnome-extra/zenity-2.24.0 ~amd64
=app-editors/gedit-2.24.0 ~amd64
=gnome-extra/gnome-vfs-obexftp-0.4 ~amd64
=app-crypt/seahorse-2.24.0 ~amd64
=app-crypt/seahorse-plugins-2.24.0 ~amd64
=gnome-base/orbit-2.14.16 ~amd64
=gnome-extra/gnome-system-monitor-2.24.0 ~amd64
=gnome-extra/nautilus-actions-1.4.1 ~amd64
=gnome-extra/nautilus-cd-burner-2.24.0 ~amd64
=gnome-extra/nautilus-sendto-0.14.0 ~amd64
=gnome-base/nautilus-2.24.0 ~amd64
=gnome-base/gdm-2.20.8 ~amd64
=gnome-extra/gdmap-0.8.1 ~amd64
=x11-libs/gtk+-2.14.3-r2 ~amd64
=app-accessibility/gnome-mag-0.15.4 ~amd64
=media-video/gnome-mplayer-0.6.3 ~amd64
=media-sound/sound-juicer-2.24.0 ~amd64
=media-gfx/eog-2.24.0 ~amd64
=app-admin/pessulus-2.24.0 ~amd64
=net-analyzer/gnome-nettool-2.22.1 ~amd64
=net-analyzer/gnome-netstatus-2.12.2 ~amd64
=gnome-extra/gucharmap-2.24.0 ~amd64
=mail-client/evolution-2.24.0 ~amd64
=gnome-extra/evolution-webcal-2.24.0 ~amd64
=gnome-extra/evolution-data-server-2.24.0 ~amd64
=app-arch/file-roller-2.24.0 ~amd64
=x11-libs/libwnck-2.24.0 ~amd64
=x11-libs/gtksourceview-2.4.0 ~amd64
=dev-python/pygtksourceview-2.4.0 ~amd64
=app-accessibility/orca-2.24.0 ~amd64
=www-client/epiphany-2.24.0.1-r10 ~amd64
=www-client/epiphany-extensions-2.24.0-r10 ~amd64
=gnome-extra/bug-buddy-2.24.0 ~amd64
=net-misc/vino-2.24.0 ~amd64
=net-im/empathy-2.24.0-r1 ~amd64
=dev-libs/atk-1.24.0 ~amd64
=gnome-base/eel-2.24.0 ~amd64
=gnome-base/libbonoboui-2.24.0 ~amd64
=x11-themes/gnome-themes-2.24.0 ~amd64
=x11-wm/metacity-2.24.0 ~amd64
=gnome-base/libgnomeprintui-2.18.3 ~amd64
=gnome-extra/libgail-gnome-1.20.1 ~amd64
=gnome-extra/gnome-user-docs-2.24.0 ~amd64
=gnome-extra/gnome-screensaver-2.24.0 ~amd64
=gnome-extra/yelp-2.24.0-r10 ~amd64
=gnome-extra/gtkhtml-3.24.0 ~amd64
=gnome-extra/gnome-power-manager-2.24.0 ~amd64
=x11-themes/gtk-engines-2.16.0 ~amd64
=gnome-base/librsvg-2.22.3 ~amd64
=x11-libs/pango-1.22.0 ~amd64
=gnome-base/gvfs-1.0.1 ~amd64
=x11-misc/alacarte-0.11.6 ~amd64
=app-accessibility/dasher-4.9.0 ~amd64
=gnome-base/libgtop-2.24.0 ~amd64
=gnome-extra/at-spi-1.24.0 ~amd64
=gnome-extra/swfdec-gnome-2.24.0 ~amd64
=gnome-base/libbonobo-2.24.0 ~amd64
=app-accessibility/accerciser-1.4.0 ~amd64
=gnome-base/libgnomeprint-2.18.5 ~amd64
=gnome-extra/hamster-applet-2.24.0 ~amd64
=net-misc/vinagre-2.24.0 ~amd64
=dev-libs/libIDL-0.8.11 ~amd64
=net-libs/gtk-vnc-0.3.7 ~amd64
=dev-util/intltool-0.40.5 ~amd64
=dev-python/gnome-applets-python-2.22.0 ~amd64
=dev-python/gnome-python-desktop-2.22.0-r10 ~amd64
=dev-python/gnome-python-desktop-base-2.22.0 ~amd64
=media-libs/swfdec-0.8.0 ~amd64
=net-www/swfdec-mozilla-0.8.0 ~amd64
=x11-libs/cairo-1.8.0 ~amd64
=x11-libs/pixman-0.12.0 ~amd64
=net-libs/telepathy-glib-0.7.16 ~amd64
=net-im/telepathy-mission-control-4.67 ~amd64
=net-libs/libtelepathy-0.3.3 ~amd64
=media-libs/libcanberra-0.10 ~amd64
=dev-libs/dbus-glib-0.76 ~amd64
=dev-python/pygobject-2.15.4 ~amd64
=x11-misc/icon-naming-utils-0.8.7 ~amd64
=dev-python/pygtk-2.13.0 ~amd64
=dev-python/librsvg-python ~amd64
=dev-python/libwnck-python-2.22.0 ~amd64
=dev-python/evolution-python-2.22.0 ~amd64
=dev-python/gtksourceview-python-2.22.0 ~amd64
=dev-python/metacity-python-2.22.0 ~amd64
=dev-python/gnome-desktop-python-2.22.0 ~amd64
=dev-python/gnome-keyring-python-2.22.0 ~amd64
=dev-python/nautilus-cd-burner-python-2.22.0 ~amd64
=dev-python/libgtop-python-2.22.0 ~amd64
=dev-python/libgnomeprint-python-2.22.0 ~amd64
=dev-python/bug-buddy-python-2.22.0 ~amd64
=gnome-base/gail-1000 ~amd64

Probabilmente a causa delle nuove librerie ora disponibili verrà consigliato di eseguire:

# emerge @preserved-rebuild

E per ricurezza, ossia per partire prima del super aggiornamento con un sistema senza link dinamici rotti:

# revdep-rebuild

Fatto questo per risolvere alcuni "block" bisogna effettuare prima un paio di emersioni:

# emerge gnome-base/gail
# emerge dev-python/pygtk

Se si riceve un blocco (con emerge -a gnome) di  gnome-python-desktop-2.22.0-r10 bisogna emergere prima

# emerge gnome-python-desktop

Per poi finalmente procedere con

# emerge -a gnome

Dopo aver controllato tutte le flag use dei nuovi pacchetti e qualche ora di compilazione a secondo della velocità del pc...et voilà!

L'ultima release di Gnome è servita!!

Ultimo aggiornamento Venerdì 17 Ottobre 2008 00:10
 

Utenti connessi

 25 visitatori online



Creative Commons License

Questo sito è pubblicato sotto licenza Creative Commons
DeSfA - De Shell Facemmo Ali